// Copyright 2018 CoreOS, Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#![allow(unknown_lints)]

#[macro_use]
extern crate failure;

mod yubihsm_sys {
    #![allow(non_upper_case_globals)]
    #![allow(non_camel_case_types)]
    #![allow(non_snake_case)]
    #![allow(dead_code)]
    #![allow(unknown_lints)]
    #![allow(clippy)]

    include!(concat!(env!("OUT_DIR"), "/bindings.rs"));
}

mod types;
mod yubihsm;
mod connector;
mod session;
#[cfg(test)]
mod tests;

pub use types::*;
pub use yubihsm::*;
pub use connector::*;
pub use session::*;

// Re-exports from the bindgen bindings
pub use yubihsm_sys::yh_capabilities;
